
From: Domen Puncer <domen@coderock.org>

From: Geert Uytterhoeven <geert@linux-m68k.org>

These four are called from fb_show_logo, which is exported symbol, called
by fbcon_switch.

From: Domen Puncer <domen@coderock.org>
Signed-off-by: Maximilian Attems
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/fbmem.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/video/fbmem.c~remove-faulty-__inits-from-drivers-video-fbmemc-fwd drivers/video/fbmem.c
--- 25/drivers/video/fbmem.c~remove-faulty-__inits-from-drivers-video-fbmemc-fwd	2004-07-26 17:55:40.556169264 -0700
+++ 25-akpm/drivers/video/fbmem.c	2004-07-26 17:55:40.562168352 -0700
@@ -563,7 +563,7 @@ static inline unsigned safe_shift(unsign
 	return n < 0 ? d >> -n : d << n;
 }
 
-static void __init fb_set_logocmap(struct fb_info *info,
+static void fb_set_logocmap(struct fb_info *info,
 				   const struct linux_logo *logo)
 {
 	struct fb_cmap palette_cmap;
@@ -597,7 +597,7 @@ static void __init fb_set_logocmap(struc
 	}
 }
 
-static void  __init fb_set_logo_truepalette(struct fb_info *info,
+static void  fb_set_logo_truepalette(struct fb_info *info,
 					    const struct linux_logo *logo,
 					    u32 *palette)
 {
@@ -627,7 +627,7 @@ static void  __init fb_set_logo_truepale
 	}
 }
 
-static void __init fb_set_logo_directpalette(struct fb_info *info,
+static void fb_set_logo_directpalette(struct fb_info *info,
 					     const struct linux_logo *logo,
 					     u32 *palette)
 {
@@ -642,7 +642,7 @@ static void __init fb_set_logo_directpal
 		palette[i] = i << redshift | i << greenshift | i << blueshift;
 }
 
-static void __init fb_set_logo(struct fb_info *info,
+static void fb_set_logo(struct fb_info *info,
 			       const struct linux_logo *logo, u8 *dst,
 			       int depth)
 {
_
